//
//  ChocoLayerText.h
//  ChocoFlopX
//
//  Created by Santiago Lema on 06.11.06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "ChocoLayerViewBased.h"
#import "ChocoTextView.h"

@interface ChocoLayerText : ChocoLayerViewBased 
{
	//BOOL firstRender;
	//BOOL textChanged; 
	
	BOOL autolabel;
	NSRect textBoundsBeforeDrag;
		

}

-(void) setAutolabel:(BOOL)a;
-(BOOL) getAutolabel;

//-(void) setTextBoundsBeforeDrag:(NSRect)r;
//-(NSRect) getTextBoundsBeforeDrag;

-(void) setTextView:(ChocoTextView*)v;
-(IBAction) restoreTextView:(ChocoTextView*) v;
-(ChocoTextView*) getTextView;
-(void) setTextData:(NSData*) rtfData;
-(NSData*) getTextData ;
-(IBAction) restoreTextData:(NSData*) rtfData;
-(void) createEmptyTextAtPoint:(NSPoint)pt withWidth:(float)w andHeight:(float)h render:(BOOL) render;
//-(CIImage*) getTextAsImage	;

-(void) updateLabelFromTextView;
-(BOOL)isPointInsideText:(NSPoint) pt;
-(void)loadRTFfromPath: (NSString*) txtPath renderImmediately:(BOOL)immediateRender createTextView:(BOOL)createView;
-(void) setTextViewSizeToWidth:(int) maxX andHeight:(int) maxY;
//-(void)convertToPixels;


-(ChocoTextView*) allocTextViewWithCorrectSettingsInFrame:(NSRect)rView;
-(void) createCloneOfTextView:(NSTextView*)v prerenderedImage:(CIImage*) accuClone;
-(void) textContentChanged;
// -(void) setLastValidImage:(CIImage*) fullImage;
//-(CIImage*) getLastValidimage;
//-(IBAction)updateText:(id)sender;

@end
